%global npm_name ws
# Although there are tests
# the dependancies aren't in Fedora yet
%global enable_tests 0

Summary:       Web socket client, server and console for nodejs
Name:          nodejs-%{npm_name}
Version:       0.4.25
Release:       3%{?dist}
Group:         System Environment/Libraries
License:       MIT
URL:           https://github.com/einaros/ws
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: python
BuildRequires: node-gyp
BuildRequires: nodejs-devel
%if 0%{?enable_tests}
BuildRequires:  npm(ansi)
BuildRequires:  npm(benchmark)
BuildRequires:  npm(expect.js)
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
Simple to use, blazing fast and thoroughly tested 
web socket client, server and console for nodejs, 
up-to-date against RFC-6455

%prep
%setup -q -n package

rm -f examples/fileapi/.npmignore

%nodejs_fixdep commander '>=0.6.1'

%build
export CXXFLAGS="%{optflags}"
node-gyp rebuild

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr bin build/Release/*.node index.js lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{npm_name}/bin/wscat %{buildroot}%{_bindir}/wscat

# Fix permissions
chmod 755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bufferutil.node
chmod 755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/validation.node

%if 0%{?enable_tests}
%check
make test
%endif

%files
%doc History.md README.md examples doc
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/wscat

%changelog
* Wed May 29 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-3
- Use nodejs_fixdep instead of sed to fix dependancy

* Wed May 29 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-2
- Fixed Summary and Description spelling errors
- Fixed nodejs-commander version dependancy
- Cleanup extra files and strange permissions

* Fri Mar 01 2013 Troy Dawson <tdawson@redhat.com> - 0.4.25-1
- Update to 0.4.25
- Update spec to Fedora nodejs standards

* Fri Nov 16 2012 Troy Dawson <tdawson@redhat.com> - 0.4.22-3
- Fix for building native modules

* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.4.22-1
- Initial build using tchor spec template

